{% assign a = site | assignment_from_page page: page %}

{% comment %}
{{ a.type | type_tag }} {{ a.desc }}
{% endcomment %}

<ul id="manifest">
{% assign i = 0 %}
{% for d in a.dates %}
{% if d.first == "assign" %}
    <li><strong>{{ d.first | capitalize }}:</strong>  <a href="{{ site.baseurl }}/#{{ d.last | to_s }}">{{ d.last | date_string }}</a></li>
{% else %}
  {% if d.first == "checkpoint" %}
    {% if page.checkpoints %}
    <li><strong>{{ d.first | capitalize }}:</strong> {{ page.checkpoints[i] }}   <a href="{{ site.baseurl }}/#{{ d.last | to_s }}">{{ d.last | date_string }}</a></li>
      {% assign i = i | plus: 1 %}
    {% endif %}
  {% elsif d.first == "due" %}
    <li><strong>{{ d.first | capitalize }}:</strong> {{ page.due }} <a href="{{ site.baseurl }}/#{{ d.last | to_s }}">{{ d.last | date_string }}</a></li>

  {% endif %}
{% endif %}
{% endfor %}

<li>
  <strong>Teams:</strong> <a href="{{site.baseurl}}/about/#team-policy">{{ page.team }}</a>
</li>

{% if page.repo %}
<li>
  <strong>Code:</strong>
  {% if page.policy == "individual" or page.policy == "Individual" or page.policy == "solo" or page.policy == "Solo" %}    
  <a href="{{site.baseurl}}/docs/common/git/#solo-workflow"><code>{{site.repotool}} start {{a.id}} --solo</code></a>
  {% else %}
  <a href="{{site.baseurl}}/docs/common/git/#team-workflow"><code>{{site.repotool}} start {{a.id}}</code></a>
  {% endif %}
</li>
{% endif %}

<li><strong>Submit:</strong>
  {% if page.submit %}
  {{ page.submit }}
  {% else %}
  {% if page.worksheet %}
  <a href="{{site.baseurl}}/docs/common/gradescope/"><strong>Upload a PDF</strong></a> written on the {% include worksheet.md %}.
  {% endif %}
  {% if a.type == 'code' or page.repo %}
  <a href="{{ site.baseurl }}/docs/#git"><code>git add</code>, <code>git commit</code>, and <code>git push</code> your completed code.</a>
  {% endif %}
  {% endif %}
</li>

{% if page.topics or page.links %}
<li><strong>Reference:</strong><ul>
  {% if page.topics %}
  {% for t in page.topics %}
  {% if site.data.topics[t] %}
  <li><a href="{{site.baseurl}}/topics/#{{ t }}">{{ site.data.topics[t].title }}</a></li>
  {% else %}
  <li>{{ t }}</li>
  {% endif %}
  {% endfor %}
  {% endif %}
  {% if page.links %}
  {% for link in page.links %}
  {% if link.path %}
  <li><a href="{{site.baseurl}}{{ link.path }}">{{ link.title }}</a></li>
  {% elsif link.url %}
  <li><a href="{{ link.url }}">{{ link.title }}</a></li>
  {% endif %}
  {% endfor %}
  {% endif %}
</ul></li>
{% endif %}

</ul>


{% comment %}
<ul>
{% for d in a.dates %}
<li>{{ d.first }}: <a href="{{ site.schedule_url }}#{{ d.last | to_s }}">{{ d.last | date_string }}</a></li>
{% endfor %}
</ul>
{% endcomment %}
